Bug 1299046 - [abrt] gvfs-smb: talloc_abort(): gvfsd-smb-browse killed by SIGABRT [NEEDINFO]
[abrt] gvfs-smb: talloc_abort(): gvfsd-smb-browse killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Holy
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d15797d023f0b7493aff0b7f93d...
:
: 1322517 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 14:32 EST by Peter
Modified: 2016-12-20 12:56 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:56:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oholy: needinfo?


Attachments (Terms of Use)
File: backtrace (24.17 KB, text/plain)
2016-01-15 14:32 EST, Peter
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-15 14:32 EST, Peter
no flags Details
File: core_backtrace (15.77 KB, text/plain)
2016-01-15 14:32 EST, Peter
no flags Details
File: dso_list (12.90 KB, text/plain)
2016-01-15 14:32 EST, Peter
no flags Details
File: environ (809 bytes, text/plain)
2016-01-15 14:32 EST, Peter
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-15 14:32 EST, Peter
no flags Details
File: maps (55.21 KB, text/plain)
2016-01-15 14:32 EST, Peter
no flags Details
File: mountinfo (3.45 KB, text/plain)
2016-01-15 14:32 EST, Peter
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-15 14:32 EST, Peter
no flags Details
File: open_fds (889 bytes, text/plain)
2016-01-15 14:32 EST, Peter
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2016-01-15 14:32 EST, Peter
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-01-15 14:32 EST, Peter
no flags Details

  None (edit)
Description Peter 2016-01-15 14:32:30 EST
Version-Release number of selected component:
gvfs-smb-1.26.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-smb-browse --spawner :1.9 /org/gtk/gvfs/exec_spaw/14
crash_function: talloc_abort
executable:     /usr/libexec/gvfsd-smb-browse
global_pid:     1149
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 talloc_abort at ../talloc.c:399
 #3 talloc_abort_unknown_value at ../talloc.c:417
 #4 talloc_chunk_from_ptr at ../talloc.c:436
 #5 _talloc_realloc at ../talloc.c:1680
 #6 _talloc_realloc_array at ../talloc.c:2609
 #7 __talloc_vaslenprintf_append at ../talloc.c:2502
 #8 talloc_asprintf_append at ../talloc.c:2559
 #9 xx_path at ../source3/lib/util.c:1527
 #10 cache_path at ../source3/lib/util.c:1566
 #11 gencache_init at ../source3/lib/gencache.c:68
Comment 1 Peter 2016-01-15 14:32:34 EST
Created attachment 1115256 [details]
File: backtrace
Comment 2 Peter 2016-01-15 14:32:36 EST
Created attachment 1115257 [details]
File: cgroup
Comment 3 Peter 2016-01-15 14:32:37 EST
Created attachment 1115258 [details]
File: core_backtrace
Comment 4 Peter 2016-01-15 14:32:39 EST
Created attachment 1115259 [details]
File: dso_list
Comment 5 Peter 2016-01-15 14:32:40 EST
Created attachment 1115260 [details]
File: environ
Comment 6 Peter 2016-01-15 14:32:42 EST
Created attachment 1115261 [details]
File: limits
Comment 7 Peter 2016-01-15 14:32:44 EST
Created attachment 1115262 [details]
File: maps
Comment 8 Peter 2016-01-15 14:32:46 EST
Created attachment 1115263 [details]
File: mountinfo
Comment 9 Peter 2016-01-15 14:32:47 EST
Created attachment 1115264 [details]
File: namespaces
Comment 10 Peter 2016-01-15 14:32:49 EST
Created attachment 1115265 [details]
File: open_fds
Comment 11 Peter 2016-01-15 14:32:50 EST
Created attachment 1115266 [details]
File: proc_pid_status
Comment 12 Peter 2016-01-15 14:32:53 EST
Created attachment 1115267 [details]
File: var_log_messages
Comment 13 Dan Dragomir 2016-01-23 16:49:59 EST
Another user experienced a similar problem:

I wasn't doing anything related to samba. I guess it's from some background stuff.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-smb-browse --spawner :1.9 /org/gtk/gvfs/exec_spaw/13
crash_function: talloc_abort
executable:     /usr/libexec/gvfsd-smb-browse
global_pid:     6847
kernel:         4.3.3-301.fc23.x86_64
package:        gvfs-smb-1.26.2-1.fc23
reason:         gvfsd-smb-browse killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Dmitry Shishkin 2016-03-30 11:47:00 EDT
*** Bug 1322517 has been marked as a duplicate of this bug. ***
Comment 15 hx 2016-10-22 06:23:47 EDT
Any update on this?
Comment 16 Ondrej Holy 2016-10-24 03:42:35 EDT
It sounds like to me that this is a rather bug in libsmbclient, but it is hard to debug it without reproducer... don't you have some more info how it can be reproduced?
Comment 17 Fedora End Of Life 2016-11-24 09:59:00 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 12:56:01 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.